Re: unicode and i18n



> works perfectly with 0.10.x and 0.11.x (up to most recent 0.11.5) this
> all has been tested with CVSGnome 0.3.0 (available on my webpage).

here a quick DIFF that goes to the right direction. i havent tested it
yet but logically it comes closest in how it has to be corrected.

please delete the MACROS dir too. the first diff i made was over 140kb
in size so i made a new one without macros removed (you need to do this
yourself).

i made a lot of these fixes recently so you can trust on them...

-- 
Name....: Ali Akcaagac
Status..: Student Of Computer & Economic Science
E-Mail..: mailto:ali.akcaagac@stud.fh-wilhelmshaven.de
WWW.....: http://www.fh-wilhelmshaven.de/~akcaagaa
diff -ruN balsa-cvs/autogen.sh balsa/autogen.sh
--- balsa-cvs/autogen.sh	2002-08-06 22:07:31.000000000 +0200
+++ balsa/autogen.sh	2002-08-11 21:43:01.000000000 +0200
@@ -4,52 +4,17 @@
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-PKG_NAME="Balsa"
+PKG_NAME="balsa"
 
-(test -f $srcdir/configure.in \
-  && test -d $srcdir/src \
-  && test -f $srcdir/src/balsa-app.h) || {
+(test -f $srcdir/configure.in) || {
     echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level balsa directory"
+    echo " top-level $PKG_NAME directory"
     exit 1
 }
 
-if libtool --version >/dev/null 2>&1; then
-    vers=`libtool --version | sed -e "s/^[^0-9]*//" -e "s/ .*$//" | awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
-    if test "$vers" -ge 1003003; then
-        true
-    else
-        echo "Please upgrade your libtool to version 1.3.3 or better." 1>&2
-        exit 1
-    fi
-fi
-
-ifs_save="$IFS"; IFS=":"
-for dir in $PATH ; do
-  test -z "$dir" && dir=.
-  if test -f $dir/gnome-autogen.sh ; then
-    gnome_autogen="$dir/gnome-autogen.sh"
-    gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
-    break
-  fi
-done
-IFS="$ifs_save"
-
-if test -n "$gnome_autogen" ; then
-  GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen
-  exit 0
-fi
-
-echo "gnome-autogen.sh not found."
-echo "Assuming you have a 'native' install of GNOME2."
-sleep 3
-
-# GNOME2 is properly installed on the system.
-# Do the things the usual way.
-
-# GNOME's autogen.sh does not pass --intl option to gettextize,
-# let's call gettextize ourselves
-gettextize --force --copy --intl
+which gnome-autogen.sh || {
+	echo "You need to install gnome-common from the GNOME CVS"
+	exit 1
+}
 
-# call GNOME's autogen.sh.
-. $srcdir/macros/autogen.sh
+USE_GNOME2_MACROS=1 . gnome-autogen.sh
diff -ruN balsa-cvs/configure.in balsa/configure.in
--- balsa-cvs/configure.in	2002-08-06 21:53:12.000000000 +0200
+++ balsa/configure.in	2002-08-11 21:44:57.000000000 +0200
@@ -119,8 +119,8 @@
 AM_GLIB_GNU_GETTEXT
 # AM_GNOME_GETTEXT above substs $DATADIRNAME
 # this is the directory where the *.{mo,gmo} files are installed
-gnomelocaledir='${prefix}/${DATADIRNAME}/locale'
-AC_SUBST(gnomelocaledir)
+dnl gnomelocaledir='${prefix}/${DATADIRNAME}/locale'
+dnl AC_SUBST(gnomelocaledir)
 
 dnl ###########################################################################
 dnl More checks
@@ -476,17 +476,13 @@
 dnl ##########################################################################
 dnl Create files.
 dnl ##########################################################################
-AM_PO_SUBDIRS(po)
-
 AC_OUTPUT([
 Makefile
 balsa.1
 balsa.spec
 po/Makefile.in
-po/Makefile
 sounds/Makefile
 images/Makefile
-intl/Makefile
 help/Makefile
 help/C/Makefile
 libbalsa/Makefile
diff -ruN balsa-cvs/libmutt/imap/Makefile.am balsa/libmutt/imap/Makefile.am
--- balsa-cvs/libmutt/imap/Makefile.am	2001-02-12 11:15:50.000000000 +0100
+++ balsa/libmutt/imap/Makefile.am	2002-08-11 21:40:55.000000000 +0200
@@ -16,7 +16,7 @@
 
 EXTRA_DIST = BUGS README TODO auth_anon.c auth_cram.c auth_gss.c auth_sasl.c
 
-INCLUDES = -I$(top_srcdir) -I../intl
+INCLUDES = -I$(top_srcdir)
 
 noinst_LIBRARIES = libimap.a
 noinst_HEADERS = auth.h imap_private.h message.h
diff -ruN balsa-cvs/po/Makevars balsa/po/Makevars
--- balsa-cvs/po/Makevars	2002-08-06 21:53:12.000000000 +0200
+++ balsa/po/Makevars	1970-01-01 01:00:00.000000000 +0100
@@ -1,25 +0,0 @@
-# Makefile variables for PO directory in any package using GNU gettext.
-
-# Usually the message domain is the same as the package name.
-DOMAIN = $(PACKAGE)
-
-# These two variables depend on the location of this directory.
-subdir = po
-top_builddir = ..
-
-# These options get passed to xgettext.
-XGETTEXT_OPTIONS = --keyword=_ --keyword=N_
-
-# This is the copyright holder that gets inserted into the header of the
-# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
-# package.  (Note that the msgstr strings, extracted from the package's
-# sources, belong to the copyright holder of the package.)  Translators are
-# expected to transfer the copyright for their translations to this person
-# or entity, or to disclaim their copyright.  The empty string stands for
-# the public domain; in this case the translators are expected to disclaim
-# their copyright.
-COPYRIGHT_HOLDER = Free Software Foundation, Inc.
-
-# This is the list of locale categories, beyond LC_MESSAGES, for which the
-# message catalogs shall be used.  It is usually empty.
-EXTRA_LOCALE_CATEGORIES =


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]